Loading...
Searching...
No Matches
LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafData< ValueIndex, CoordT, MaskT, LOG2DIM >:

## Public Types

using | BaseT = LeafIndexBase< CoordT, MaskT, LOG2DIM >
using | BuildType = ValueIndex
using | ValueType = uint64_t
using | FloatType = uint64_t
using | ArrayType = void

## Public Member Functions

uint64_t | lastOffset () const
uint64_t | getMin () const
uint64_t | getMax () const
uint64_t | getAvg () const
uint64_t | getDev () const
uint64_t | getValue (uint32_t i) const
| LeafData ()=delete
| This class cannot be constructed or deleted.
| LeafData (const LeafData &)=delete
LeafData & | operator= (const LeafData &)=delete
| ~LeafData ()=delete
bool | hasStats () const
const uint64_t & | firstOffset () const
void | setMin (const ValueType &)
void | setMax (const ValueType &)
void | setAvg (const FloatType &)
void | setDev (const FloatType &)
void | setOn (uint32_t offset)
template<typename T >
void | setOrigin (const T &ijk)

## Static Public Member Functions

static uint32_t | valueCount ()
static constexpr uint32_t | padding ()
static uint64_t | memUsage ()

## Public Attributes

CoordT | mBBoxMin
uint8_t | mBBoxDif [3]
uint8_t | mFlags
MaskT< LOG2DIM > | mValueMask
uint64_t | mOffset
uint64_t | mPrefixSum

## Static Public Attributes

static constexpr bool | FIXED_SIZE = true

## Member Typedef Documentation

## ArrayType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ArrayType = void

inherited

## BaseT

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using BaseT = LeafIndexBase<CoordT, MaskT, LOG2DIM>

## BuildType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using BuildType = ValueIndex

## FloatType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using FloatType = uint64_t

inherited

## ValueType

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ValueType = uint64_t

inherited

## Constructor & Destructor Documentation

## LeafData() [1/2]

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

LeafData | ( |  | ) |

delete

This class cannot be constructed or deleted.

## LeafData() [2/2]

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

LeafData | ( | const LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > & |  | ) |

delete

## ~LeafData()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

~LeafData | ( |  | ) |

delete

## Member Function Documentation

## firstOffset()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

const uint64_t & firstOffset | ( |  | ) | const

inlineinherited

## getAvg()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getAvg | ( |  | ) | const

inline

## getDev()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getDev | ( |  | ) | const

inline

## getMax()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getMax | ( |  | ) | const

inline

## getMin()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getMin | ( |  | ) | const

inline

## getValue()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t getValue | ( | uint32_t | i | ) | const

inline

## hasStats()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

bool hasStats | ( |  | ) | const

inlineinherited

## lastOffset()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t lastOffset | ( |  | ) | const

inline

## memUsage()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

static uint64_t memUsage | ( |  | ) |

inlinestaticinherited

## operator=()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

LeafData & operator= | ( | const LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > & |  | ) |

delete

## padding()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

static constexpr uint32_t padding | ( |  | ) |

inlinestaticconstexprinherited

## setAvg()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setAvg | ( | const FloatType & |  | ) |

inlineinherited

## setDev()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setDev | ( | const FloatType & |  | ) |

inlineinherited

## setMax()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMax | ( | const ValueType & |  | ) |

inlineinherited

## setMin()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMin | ( | const ValueType & |  | ) |

inlineinherited

## setOn()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setOn | ( | uint32_t | offset | ) |

inlineinherited

## setOrigin()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>
template<typename T >

void setOrigin | ( | const T & | ijk | ) |

inlineinherited

## valueCount()

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

static uint32_t valueCount | ( |  | ) |

inlinestatic

## Member Data Documentation

## FIXED_SIZE

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

constexpr bool FIXED_SIZE = true

staticconstexprinherited

## mBBoxDif

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mBBoxDif[3]

inherited

## mBBoxMin

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

CoordT mBBoxMin

inherited

## mFlags

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mFlags

inherited

## mOffset

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mOffset

inherited

## mPrefixSum

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mPrefixSum

inherited

## mValueMask

template<typename CoordT , template< uint32_t > class MaskT, uint32_t LOG2DIM>

MaskT<LOG2DIM> mValueMask

inherited